--[[********************************************************************
created:	2009/10/10
filename: 	Main.lua
author:		Daniel Wellman

purpose:	Provides an update entry point and handles the currently active simulator

License: This software may be reproduced and distributed free of charge as
as long as credit is given to the author. The author assumes no
responsibility. The software is provided as is.
*********************************************************************]]

--This is the main entry point, C++ calls Update(dt) when it wants toupdate
local Program
function Update(delta)
	--Exit the simulator, or if at the menu exit the program
	if IsEscapePressed() then
		return Program == Menu or SetSimulator(Menu)
	end
	--If enter is pressed restart the simulator
	if IsEnterPressed() then
		return SetSimulator(Program)
	end
	Program:Update(delta)
	
end

--C++ calls Draw when it wants to redraw
function Draw()
	Program:Draw()
end

function SetSimulator(simulator)
	Program = simulator
	Program:Initialize(WIDTH, HEIGHT)
end

SetSimulator(Menu)